# giveio.nsi
#
# This script is based on example2.nsi
#
# Install the giveio driver files and (optionaly) start install batch
# Startmenu entries (optional) are created too.
# cliechti@gmx.net

# The name of the installer
Name "GIVEIO"

# The file to write
OutFile "giveio_setup.exe"

# The default installation directory
InstallDir $PROGRAMFILES\mspgcc
# Registry key to check for directory (so if you install again, it will 
# overwrite the old one automatically)
InstallDirRegKey HKLM SOFTWARE\mspgcc "rootdir"

# The text to prompt the user to enter a directory
ComponentText "This will install the GIVEIO driver on your computer.\
               You will only need this if you are running Windows NT/2k/XP or compatible.\
               This library is used by the mspgcc JTAG tools that access the parallel port (e.g. HIL.dll)"

# The text to prompt the user to enter a directory
DirText "Choose a directory to install into.\
         A subdirectory called 'giveio' will be created.$\n\
         It is intended to be installed into the mspgcc directory structure."

# The stuff to install
Section "GiveIO (required)"
    SectionIn RO
    # Set output path to the installation directory.
    SetOutPath $INSTDIR\giveio
    # Put file there
    File "loaddrv.exe" "giveio.sys" "install_giveio.bat" "remove_giveio.bat" "status_giveio.bat" "README.txt"
    # Write the uninstall keys for Windows
    WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Giveio" "DisplayName" "Giveio (remove only)"
    WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Giveio" "UninstallString" '"$INSTDIR\giveio\uninstall.exe"'
    WriteUninstaller "giveio\uninstall.exe"
SectionEnd

# optional section
Section "Start Menu Shortcuts"
    CreateDirectory "$SMPROGRAMS\mspgcc\GiveIO"
    CreateShortCut "$SMPROGRAMS\mspgcc\GiveIO\Uninstall.lnk" "$INSTDIR\giveio\uninstall.exe" "" "$INSTDIR\giveio\uninstall.exe" 0
    CreateShortCut "$SMPROGRAMS\mspgcc\GiveIO\Status Giveio Service.lnk" "$INSTDIR\giveio\status_giveio.bat" "" "$INSTDIR\giveio\status_giveio.bat" 0
    CreateShortCut "$SMPROGRAMS\mspgcc\GiveIO\Install Giveio Service.lnk" "$INSTDIR\giveio\install_giveio.bat" "" "$INSTDIR\giveio\install_giveio.bat" 0
    CreateShortCut "$SMPROGRAMS\mspgcc\GiveIO\Remove Giveio Service.lnk" "$INSTDIR\giveio\remove_giveio.bat" "" "$INSTDIR\giveio\remove_giveio.bat" 0
SectionEnd

# optional section
Section "Start GIVEIO Service now"
    Exec "$INSTDIR\giveio\install_giveio.bat"
SectionEnd


# uninstall stuff

UninstallText "This will stop the service and uninstall GIVEIO."

# special uninstall section.
Section "Uninstall"
    #Stopping the service
    ExecWait "$INSTDIR\remove_giveio.bat"
    # remove registry keys
    DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\Giveio"
    DeleteRegKey HKLM SOFTWARE\NSIS_Giveio
    # remove files
    Delete "$INSTDIR\loaddrv.exe"
    Delete "$INSTDIR\giveio.sys"
    Delete "$INSTDIR\install_giveio.bat"
    Delete "$INSTDIR\remove_giveio.bat"
    Delete "$INSTDIR\status_giveio.bat"
    Delete "$INSTDIR\README.txt"
    # MUST REMOVE UNINSTALLER, too
    Delete "$INSTDIR\uninstall.exe"
    # remove shortcuts, if any.
    Delete "$SMPROGRAMS\mspgcc\GiveIO\*.*"
    # remove directories used.
    RMDir "$SMPROGRAMS\mspgcc\Giveio"
    RMDir "$INSTDIR"
SectionEnd

# eof
